Tool to send TCP traffic through one or more SOCKS or HTTP proxies.
https://github.com/rofl0r/proxychains
---
testing/paxtest/APKBUILD | 50 ++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 50 insertions(+)
create mode 100644 testing/paxtest/APKBUILD
diff --git a/testing/paxtest/APKBUILD b/testing/paxtest/APKBUILD
new file mode 100644
index 0000000..bd9d10a
--- /dev/null
+++ b/testing/paxtest/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor:
+# Maintainer:
+pkgname=paxtest
+pkgver=0.9.13
+pkgrel=0
+pkgdesc="PaX regression test suite'"
+url="https://pax.grsecurity.net"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="" # "$pkgname-dev $pkgname-doc"
+source="https://grsecurity.net/~spender/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+# ./configure \
+# --build=$CBUILD \
+# --host=$CHOST \
+# --prefix=/usr \
+# --sysconfdir=/etc \
+# --mandir=/usr/share/man \
+# --infodir=/usr/share/info \
+# --localstatedir=/var \
+# || return 1
+ make -f Makefile.psm BINDIR=/usr/bin RUNDIR=/usr/lib/$pkgname || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="aabe9eb3af44d385f590c2e3fc75d5aa paxtest-0.9.13.tar.gz"
+sha256sums="b1f9122e45927a05ea65ec9c3b8dad92377245e546c0eff08b0f8ad9ba6e4c75 paxtest-0.9.13.tar.gz"
+sha512sums="dc375f7b0c9dd3efcf22adae6cbf0724ae505c6b3a1c55de223665c454650f86014098a45226b3fc8e4b89d528152aaf458aa3b7d1c9ffc86b3be52f2af69d60 paxtest-0.9.13.tar.gz"
--
2.2.1
---
Unsubscribe: alpine-aports+unsubscribe@lists.alpinelinux.org
Help: alpine-aports+help@lists.alpinelinux.org
---